"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const main_1 = require("../main");
exports.cmds = {
    ktemplate, kexec, kcreate, kapply, kdelete, krestart, klogs
};
// --------- K8s CMDs --------- //
// templatize one, or more, or all yaml realm resources
async function ktemplate(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    const result = await main_1.templatize(realm, resourcesStr);
    for (let item of result) {
        console.log(`Templatize resource '${item.name}' to '${item.path}'`);
    }
}
async function kexec(argv, rawArgv) {
    const resourcesStr = rawArgv[0];
    const args = rawArgv.slice(1);
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    await main_1.kexec(realm, resourcesStr, args);
}
async function kcreate(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    await main_1.kcreate(realm, resourcesStr);
}
async function kapply(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    await main_1.kapply(realm, resourcesStr);
}
async function kdelete(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    await main_1.kdel(realm, resourcesStr);
}
async function krestart(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    // for now, only support one
    if (!resourcesStr) {
        console.log('Nothing to restart. Do nothing.');
        return;
    }
    await main_1.kshRestart(realm, resourcesStr);
}
async function klogs(argv) {
    const resourcesStr = argv._[0];
    const realm = main_1.assertRealm(await main_1.getCurrentRealm());
    main_1.klogs(realm, resourcesStr);
}
// --------- /K8s CMDs --------- //
