"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const main_1 = require("../main");
exports.cmds = {
    realm
};
// --------- Realm CMDs --------- //
// set/get/list realm
async function realm(argv) {
    const name = argv._[0];
    let currentRealm;
    try {
        currentRealm = await main_1.getCurrentRealm();
    }
    catch (ex) {
        // if we have name, thi sis a set realm, so just set the warning and continue to set
        if (name) {
            console.log(`WARNING - ${ex.message}`);
        }
        else {
            throw ex;
        }
    }
    const realms = await main_1.loadRealms();
    if (!currentRealm) {
        console.log(`No current realm found.`);
    }
    console.log(main_1.formatAsTable(realms, currentRealm));
    if (name) {
        if (currentRealm) {
            console.log(`\nChanging realm from ${currentRealm.name} to ${name}`);
        }
        else {
            console.log(`\nSetting realm ${name}`);
        }
        const realm = realms[name];
        if (!realm) {
            console.log(`Realm with name ${name} not found, cannot change to it. Do nothing.`);
            return;
        }
        await main_1.setRealm(realm);
        console.log(`DONE - Realm Changed to ${realm.name}\n`);
        const newCurrentRealm = await main_1.getCurrentRealm();
        console.log(main_1.formatAsTable(realms, newCurrentRealm));
    }
}
// --------- /Realm CMDs --------- //
