"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const main_1 = require("./main");
//#region    ---------- Hook Functions ---------- 
async function realm_check(realm) {
    const project = await main_1.getCurrentProject();
    if (realm.project !== project) {
        throw new Error(`Realm ${realm.name} with Context ${realm.context} should have project ${realm.project} but has ${project}
	Do a 'npm run vdev realm ${realm.name}' to make sure all is set correctly`);
    }
}
exports.realm_check = realm_check;
async function realm_set_begin(realm, currentRealm) {
    const project = await main_1.getCurrentProject();
    if (realm.project && realm.project !== project) {
        await main_1.setCurrentProject(realm.project);
        return true;
    }
    return false;
}
exports.realm_set_begin = realm_set_begin;
//#endregion ---------- /Hook Functions ----------
