import { Block } from './block';
import { Realm } from './realm';
/**
 * Push the local docker image for the service(s) to the remote (tag and push)
 * Assumptions:
 *   - Assume the service names match the docker image convention as is on a local docker repo (localhost:5000/...)
 *   - Today assume remote is gcloud
 * @param realm
 * @param serviceNames
 */
export declare function push(realm: Realm, serviceNames?: string | string[]): Promise<void>;
export declare function buildDockerImage(block: Block): Promise<void>;
export declare function getLocalImageName(block: Block): string;
export declare function _getImageName(block: Block, basePath: string): string;
export declare function getRepositoryName(block: Block): string;
