export declare type PsqlOptions = {
    user?: string;
    pwd?: string;
    db?: string;
    host?: string;
    port?: string;
    toConsole?: boolean;
};
export declare type PsqlImportItem = {
    file: string;
    stdout?: string;
    stderr?: string;
};
export declare function psqlImport(pgOpts: PsqlOptions, filePaths: string[]): Promise<PsqlImportItem[]>;
export declare function psqlExport(pgOpts: PsqlOptions, filepath: string): Promise<void>;
export declare type PgTestResult = {
    success: boolean;
    message?: string;
    err?: string;
};
export declare function pgTest(pgOpts: PsqlOptions): Promise<PgTestResult>;
export declare type PgStatusResult = {
    accepting: boolean;
    message: string;
    code: number;
};
/** Return the status of a pg database process (without the database) */
export declare function pgStatus(pgOpts: PsqlOptions): Promise<PgStatusResult>;
