import { ParsedArgs } from 'minimist';
export declare type Partial<T> = {
    [P in keyof T]?: T[P];
};
export declare type CmdMap = {
    [fnName: string]: (miniArgv: ParsedArgs, rawArgv: string[]) => void;
};
/**
 * Split the eventual comman deliminated string as array of trim items.
 * If array just return the array, if null, return empty array
 * @param srcNames comma deliminated, single name, or array of names
 */
export declare function asNames(srcNames?: string | string[] | null): string[];
export declare function yaml(content: string): Promise<any>;
export declare function loadYaml(path: string): Promise<any>;
export declare function readJsonFileWithComments(path: string): Promise<any>;
export declare function wait(ms: number): Promise<unknown>;
export declare function now(): number;
export declare function printLog(txt: string, start: number, dist?: string | null): Promise<void>;
export declare function prompt(message: string): Promise<unknown>;
/** Attempted to return the obj value given a dottedNamePath (i.e. 'author.name').
 * @returns undefined if nothing found or obj or dottedNamePath is null/undefined. Return obj if dottedNamePath == ''.
 **/
export declare function findVal(obj: any, dottedNamePath: string): any;
